Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418176 - CSV import broken - incorrect dates
Summary: CSV import broken - incorrect dates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 06:48 UTC by IanB
Modified: 2017-07-19 02:59 UTC (History)
4 users (show)

Fixed In Version: 2.6.17-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-19 02:59:35 UTC
Type: Bug


Attachments (Terms of Use)
import dialog (125.00 KB, image/png)
2017-05-09 10:24 UTC, IanB
no flags Details
resulting invoice (107.20 KB, image/png)
2017-05-09 10:25 UTC, IanB
no flags Details
example CSV file (1.69 KB, text/plain)
2017-05-09 10:53 UTC, IanB
no flags Details

Description IanB 2017-02-01 06:48:17 UTC
Description of problem:

Importing a CSV file causes all dates from the CSV file to be changed to today's date.

Upstream bug report here: https://bugzilla.gnome.org/show_bug.cgi?id=771246

This was supposed to be fixed in Gnucash 2.6.15 however the 2.6.15 RPM distributed by Fedora still contains this bug!?

I have downgraded to 2.6.13 to workaround this issue for now.

Comment 1 IanB 2017-02-01 06:50:59 UTC
I meant to say, this issue also affects 2.6.14 (hence the need to downgrade to 2.6.13).

Comment 2 info@kobaltwit.be 2017-04-11 13:16:59 UTC
Hi IanB,

Can you provide more details on how this fails exactly for you ? Perhaps you could add a small example file illustrating the problem.

Comment 3 Mike Evans 2017-05-06 13:03:26 UTC
I am the maintainer of this module.

I just tested this and it behaves exactly as that in GitHub maint branch.

The invoice 'date opened' is set from the first line in the CSV with a new id, all subsequent entries are set to the dates in the file.

NB GnuCash 2.6.15 is now obsolete.


Name        : gnucash
Version     : 2.6.16
Release     : 1.fc25
Architecture: x86_64
Install Date: Wed 26 Apr 2017 02:16:21 BST
Group       : Applications/Productivity
Size        : 51994713
License     : GPLv2+
Signature   : RSA/SHA256, Wed 12 Apr 2017 06:35:24 BST, Key ID 4089d8f2fdb19c98
Source RPM  : gnucash-2.6.16-1.fc25.src.rpm
Build Date  : Tue 11 Apr 2017 18:22:56 BST
Build Host  : buildvm-14.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project

Comment 4 Bill Nottingham 2017-05-08 15:01:34 UTC
Closing as fixed in the current update.

Comment 5 IanB 2017-05-09 10:24:11 UTC
I've just updated to 2.6.16 and the bug is still present!

I've attached 2 screenshots showing the import dialog (screen1.png) followed by the resulting invoice tab (screen2.png). You can see in screen1 that the dates are different, but in screen2 they have all been reset to today's date. I have tested both with my regular .gnucash file & a newly created one - same problem in both.

I've downgraded to v2.6.13 again, and the same CSV file imports with no problems.

Comment 6 IanB 2017-05-09 10:24:49 UTC
Created attachment 1277342 [details]
import dialog

Comment 7 IanB 2017-05-09 10:25:17 UTC
Created attachment 1277343 [details]
resulting invoice

Comment 8 IanB 2017-05-09 10:53:03 UTC
Created attachment 1277345 [details]
example CSV file

Comment 9 Mike Evans 2017-05-09 17:53:03 UTC
This isn't a Fedora problem, it's a GnuCash bug. and it looks like my fault so I'll reopen the GnuCash bug. Please make any further comments there.

Comment 10 Bill Nottingham 2017-07-19 02:59:35 UTC
Upstream fix went into 2.6.17, please try that.


Note You need to log in before you can comment on or make changes to this bug.